/* nejsme vcerejsi, pouzivame moderni box model */
*, :after, :before { 
    box-sizing: border-box;
}

html {
    margin: 0;
    padding: 0;
    width: 100%;
}

body {
    margin: 0;
    padding: 0;
    width: 100%;
    text-align: center;
    background-color: #feece2;
    height: 100vh;
    display: table;
}

#preload {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 200;
}

.animace-loga {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 60%;
}

.st0 {
    fill-rule: evenodd;
    clip-path: fill-box;
}

.guidestroke {
    fill-rule: evenodd;
    clip-rule: evenodd;
    fill: none;
    stroke: #262626;
    stroke-width: 1;
    stroke-linecap: round;
    stroke-miterlimit: 10;
}

.dot {
    fill-rule: evenodd;
    clip-rule: evenodd;
    fill: none;
    stroke: #262626;
    stroke-linecap: round;
    stroke-miterlimit: 10;}

path {
    stroke: #262626;
    stroke-dasharray: 300;
    opacity: 10;
    animation: animate 3s ease-in-out;
}

@keyframes animate {
    0% {
        opacity: 0;
        stroke-dashoffset: 300;
    }
    100% {
        opacity: 10;
        stroke-dashoffset: 0;
    }
}

line {
    stroke: #262626;
    stroke-dasharray: 300;
    opacity: 0;
    animation: animate2 2s ease-in-out forwards;
    animation-delay: 2s;
}

@keyframes animate2 {
    0% {
        opacity: 0;
        stroke-dashoffset: 10;
    }
    100% {
        opacity: 10;
        stroke-dashoffset: 0;
    }
}

@keyframes fadeout {
    from {opacity: 1;}
    to {opacity: 0;}
}

/* tablet, desktop */
@media screen and (min-width:659px) and (max-width:1540px) {

    .animace-loga {
        width: 40%;
    }
}

/* desktop velky */
@media screen and (min-width:1540px) {

    .animace-loga {
        width: 30%;
    }
}